.container {
	display: flex;
	flex-flow: row wrap;
}
header, main, .promo1, .promo2, footer {
	flex: 100%;
}

@media screen and (min-width: 30em) {
	.promo1, .promo2 {
		flex: 1;
	}
}

@media screen and (min-width: 48em) {
	main { flex: 2; }
	.promo1 { flex: 1; }
	.promo2 { flex: 100%; }
}

@media screen and (min-width: 62em) {
	main { flex: 3; }
	.promo1, .promo2 { flex: 1; }
}

@media screen and (min-width: 75em) {
	main { flex: 3; }
    header{
        order: -2
    }

    .promo1 {
        flex: 2;
        order: -1;
    }

    .promo2 {
        flex: 1;
    }
}